package com.wikihouse.wildcats0201.jdbcchart.fsutil;

import java.io.File;
import java.util.Arrays;
import java.util.Iterator;

/**
 * <B>DirectoryFactory </B>. fBNgFactoryłB
 * 
 * @author $Author: wildcats $
 * @version $Revision: 5 $
 */
public final class DirectoryFactory {

    private DirectoryFactory() {
    }

    /**
     * .
     * 
     * @param path
     *            pX
     * @return Directory
     */
    public static Directory create(String path) {
        return new DirectoryImpl(path);
    }

    private static class DirectoryImpl implements Directory {

        private final String path;

        public DirectoryImpl(String path) {
            this.path = path;
        }

        /**
         * @see com.wikihouse.wildcats0201.jdbcchart.fsutil.Directory#make()
         */
        public void make() {
            PathSpliter pathSpliter = PathSpliterFactory.create(this.path);
            for (Iterator it = Arrays.asList(pathSpliter.split()).iterator(); it
                    .hasNext();) {
                String path = ((Path) it.next()).getPath();
                new File(path).mkdir();
            }
        }

    }

}
