package com.wikihouse.wildcats0201.jdbcchart.fsutil;

import java.io.File;

/**
 * <B>PathFactory </B>. PathFactoryłB
 * 
 * @author $Author: wildcats $
 * @version $Revision: 5 $
 */
public final class PathFactory {

    private PathFactory() {
    }

    /**
     * 
     * 
     * @param path
     *            pX
     * @return pX
     */
    public static Path create(String path) {
        return new PathImpl(path);
    }

    private static class PathImpl implements Path {

        private final String location;

        public PathImpl(String location) {
            if (location.endsWith(File.separator)) {
                this.location = location;
            } else {
                this.location = new StringBuffer(location).append(
                        File.separatorChar).toString();
            }
        }

        public String getPath() {
            return this.location;
        }

    }

}
