package com.wikihouse.wildcats0201.jdbcchart.reflectionutil;

import java.lang.reflect.Constructor;

import com.wikihouse.wildcats0201.jdbcchart.reflectionutil.exception.IllegalAccessExceptionWrapper;
import com.wikihouse.wildcats0201.jdbcchart.reflectionutil.exception.IllegalArgumentExceptionWrapper;
import com.wikihouse.wildcats0201.jdbcchart.reflectionutil.exception.InstantiationExceptionWrapper;
import com.wikihouse.wildcats0201.jdbcchart.reflectionutil.exception.InvocationTargetExceptionWrapper;

/**
 * <B>ConstructorWrapper </B>. ConstructorbsONXłB
 * 
 * @see java.lang.reflect.Constructor
 * @author $Author: wildcats $
 * @version $Revision: 5 $
 */
public class ConstructorWrapper {

    private Constructor constructor;

    private ConstructorWrapper() {
    }

    public ConstructorWrapper(Constructor constructor) {
        this.constructor = constructor;
    }

    public Constructor get() {
        return this.constructor;
    }

    public Object newInstance() {
        return this.newInstance(new Object[] {});
    }

    public Object newInstance(Object[] objects) {
        Object result = null;
        try {
            result = this.constructor.newInstance(objects);
        } catch (java.lang.IllegalArgumentException e) {
            throw new IllegalArgumentExceptionWrapper(e);
        } catch (java.lang.InstantiationException e) {
            throw new InstantiationExceptionWrapper(e);
        } catch (java.lang.IllegalAccessException e) {
            throw new IllegalAccessExceptionWrapper(e);
        } catch (java.lang.reflect.InvocationTargetException e) {
            throw new InvocationTargetExceptionWrapper(e);
        }
        return result;
    }

    /**
     * @see java.lang.Object#toString()
     */
    public String toString() {
        StringBuffer sb = new StringBuffer(this.getClass().getName());
        sb.append(":");
        sb.append(constructor.getName());
        return sb.toString();
    }

}