package com.wikihouse.wildcats0201.jdbcchart.fsutil;

import java.io.File;

/**
 * <B>PathSpliterTest </B>.
 * 
 * @author $Author: wildcats $
 * @version $Revision: 2 $
 */
public class PathSpliterTest extends AbstractPathTest {

    public static void main(String[] args) {
        junit.textui.TestRunner.run(PathSpliterTest.class);
    }

    public void testSplit() {
        PathSpliter pathSpliter1 = PathSpliterFactory.create(PathFactory
                .create(location1));
        Path[] paths1 = pathSpliter1.split();
        assertNotNull(paths1);
        assertEquals(2, paths1.length);
        String base1 = File.separatorChar + "Test" + File.separatorChar;
        assertEquals(base1, paths1[0].getPath());
        assertEquals(base1 + "Test1" + File.separatorChar, paths1[1].getPath());

        PathSpliter pathSpliter2 = PathSpliterFactory.create(location2);
        Path[] paths2 = pathSpliter2.split();
        assertNotNull(paths2);
        assertEquals(3, paths2.length);
        String base2 = File.separatorChar + "Test1" + File.separatorChar;
        assertEquals(base2, paths2[0].getPath());
        assertEquals(base2 + "Test2" + File.separatorChar, paths2[1].getPath());
        assertEquals(base2 + "Test2" + File.separatorChar + "Test3"
                + File.separatorChar, paths2[2].getPath());
    }
}
